function dmshelp_u()
  if(1)
    say "  使い方:"
    say "    dmeso file -lev  levmin (levmid_1 levmid_2 ... ) levmax"
    say "               -int  levint"
    say "               -col  [col_1 col_2 ... col_N] or [rainbow] or [b_r] etc."
    say "               -cpt  cptfile"
    say "               -bar  sf vert xmid ymid rxsz rysz barw flwd stwd"
    say "               -ebar on/off"
    say "               -area xlo xhi ylo yhi"
    say "               -coast cstset cstcol cststy cstthk"
    say "               -grid5 gr5col gr5sty gr5thk"
    say "               -grid1 gr1col gr1sty gr1thk"
    say "               -dels dels"
    say "               -ext  off/on"
    say "               -line lcolor lstyle lthick"
    say "               -text txtcol txtmove txtsiz"
    say "               -mark type size"
    say "               -xyz  xyzcol.1 xyzcol.2 xyzcol.3"
    say "               -barb barbsize barbinpt"
    say "               -skip interval"
    say "               -back backcol"
    say "               -stat sxsz sysz sdig chmx form"
    say "    file と引数を必要としない特殊オプション"
    say "          -map"
    say "          -set"
    say ""
    say "      file: 使用するテキストファイル(x y z タブor空白区切りの並び)"
    say "      -lev  (省略時はforeground colorで描画)"
    say "       levmin: 最小値。これ以下の値は一定の色"
    say "       levmid: 色調の中央値。複数指定、及び省略可"
    say "       levmax: 最大値。これ以上の値は一定の色"
    say "      -int  (省略時は自動)"
    say "       levint: カラーバーの数字の間隔"
    say "      -col  (省略時はレインボーカラー)"
    say "       col_i:  色番号の指定(0〜15のみ)。Nは2以上"
    say "               ただし、色番号0:background、1:foregroundではなく、"
    say "                             0:黒、        1:白 となっていることに注意"
    say "       rainbow  : レインボーカラー（赤→橙→黄→緑→青→藍→紫）"
    say "       rainbow_r: レインボーカラーの逆"
    say "       b_r      : 青〜白〜赤"
    say "       r_b      : 赤〜白〜青"
    say "       w_b      : 白〜黒"
    say "       b_w      : 黒〜白"
    say "      -cpt  (省略時は-col rainbow)"
    say "       cptfile: GMTのmakecptコマンドによって作成されたカラーパレットファイル"
    say "                -colと同時には指定できない"
    say "      -bar  (省略時は自動)"
    say "       sf:     カラーバーの大きさ。標準は1。0.5で半分の大きさ等。0のときはバーを省略"
    say "       vert:   0のとき水平、1のとき垂直にバーを表示する"
    say "       xmid:   バーのx方向の中心座標。-99で自動設定"
    say "       ymid:   バーのy方向の中心座表。-99で自動設定"
    say "       rxsz:   バーの目盛りの文字の幅"
    say "       rysz:   バーの目盛りの文字の高さ"
    say "       barw:   バーの幅"
    say "       flwd:   バーの枠線の太さ"
    say "       stwd:   バーの目盛りの文字の太さ"
    say "      -ebar (省略時は等間隔の数字でカラーバーを描く。-cpt指定時のみ有効)"
    say "       off/on: off指定時はカラーパレットで与えられたレベルでカラーバーを分割"
    say "      -dels (省略時は10000)"
    say "       dels:  格子間隔。-areaで指定する座標にも影響を与える"
    say "      -ext (省略時は2013年のMSM領域拡張後の領域で描画)"
    say "       off/on: off指定時は旧MSM領域（拡張前）で描画"
    say "      -area (省略時はメソの全領域で描画)"
    say "       xlo:  描画エリアの左端の座標"
    say "       xhi:  描画エリアの右端の座標"
    say "       ylo:  描画エリアの上端の座標(北から1,2,...と並んでいるものとする)"
    say "       yhi:  描画エリアの下端の座標"
    say "             なお、dels= 5kmのとき xlo=1,xhi=817,ylo=1,yhi=661"
    say "                   dels=10kmのとき xlo=1,xhi=409,ylo=1,yhi=331"
    say "                   dels=20kmのとき xlo=1,xhi=205,ylo=1,yhi=166 となっている"
    say "             旧領域では、dels= 5kmのとき xlo=1,xhi=721,ylo=1,yhi=577"
    say "                         dels=10kmのとき xlo=1,xhi=361,ylo=1,yhi=289"
    say "                         dels=20kmのとき xlo=1,xhi=181,ylo=1,yhi=145"
    say "      -coast (省略時はlow、色1、線種1、太さ5で海岸線を描画する)"
    say "       cstset: 海岸線の解像度。c,l,m,hの順に細かくなる"
    say "       cstcol: 海岸線の色"
    say "       cststy: 海岸線の線種"
    say "       cstthk: 海岸線の太さ"
    say "      -grid5 (省略時は色15、線種1、太さ5で5°ごとに緯度・経度線を描画する)"
    say "       gr5col: 緯度・経度線の色"
    say "       gr5sty: 緯度・経度線の線種"
    say "       gr5thk: 緯度・経度線の太さ"
    say "      -grid1 (省略時は1°ごとの緯度・経度線を描画しない)"
    say "       gr1col: 緯度・経度線の色"
    say "       gr1sty: 緯度・経度線の線種"
    say "       gr1thk: 緯度・経度線の太さ"
    say "      -line (省略時は点のみの出力)"
    say "       lcolor: 直線の色。標準は0（foreground）"
    say "       lstyle: 直線のスタイル。標準は1（直線）"
    say "       lthick: 直線の太さ。標準は5"
    say "      -text (省略時はテキストを出力しない)"
    say "       txtcol: 出力テキストの色。標準は0:foreground"
    say "       txtmove: テキストの位置を移動させる。標準は0。-line設定時には0.2程度がよい"
    say "       txtsiz: 出力テキストの幅。標準は1 (画面上では0.13×0.14)"
    say "      -mark (省略時はtype=3(円形塗りつぶし)、size=0.05)"
    say "       type:   マークの形(0〜11の整数で指定)"
    say "       size:   マークの大きさ"
    say "      -xyz (省略時は1,2,3カラム目の値を使用)"
    say "       xyzcol.1: x軸の値として使用するカラムの位置"
    say "       xyzcol.2: y軸の値として使用するカラムの位置"
    say "       xyzcol.3: zの値として使用するカラムの位置"
    say "      -barb (省略時は矢羽根を書かない。指定時には入力テキストは4列必要)"
    say "       barbsize: 矢羽根の大きさ。標準は1"
    say "       barbinpt: 3-4列目入力のフォーマット"
    say "       uv   : 東向きの風or西風(m/s)    北向きの風or南風(m/s)"
    say "       uvkt : 東向きの風or西風(knots)  北向きの風or南風(knots)"
    say "       v_ang   : 風速(m/s)             風向(度)(北が0、時計回り) "
    say "       vkt_ang : 風速(knots)           風向(度)(北が0、時計回り) "
    say "      -skip (省略時は間引き無し)"
    say "       skpint: 間引きの間隔（1のとき間引き無し、2のとき1/2間引き）"
    say "      -back (省略時は描画エリアの背景を塗らない)"
    say "       backcol: 背景色の番号"
    say "      -stat (省略時は統計量を描画しない。ただし標準出力へは常にはき出す)"
    say "       sxsz: テキストの幅。標準は1。描画エリアの大きさにより自動設定される"
    say "       sysz: テキストの高さ。標準は1"
    say "       sdig: 表示する有効数字の桁 (省略時は5桁)"
    say "       chmx: 最大最小値の書式変換の有無 (1指定時は書式を変換)"
    say "       form: C言語形式の書式。例えば %5.2f など"
    say "      -map :-map指定時は海岸線及び経緯度線を描画し、データのプロットは行わない"
    say "      -set :-set指定は通常のGrADSバイナリデータ描画時の前準備として使用する"
    say "             データのプロットは行わない"
    say ""
    say "  バグ:"
    say "     ・'set parea 〜'を設定しないと縦横比が55:68にならず、横に広がって描画されます。"
    say "     手動で設定してください。"
    say "     ・'No Files Open'と表示されることがありますが、動作に問題はありません。"
    say "     ・「すでに別のctlファイルが開かれていて」かつ「何も描画されていない」場合、"
    say "     描画が行われません。"
    say "     ・改行コードが「CR+LF」の場合、読み込みに失敗する場合があります。"
    say "     「LF」に設定してください。"
    say ""
    say "                                          2014 05/14   T.Egawa"
  endif
return
