function dtxhelp_u()
  if(1)
    say "  使い方:"
    say "    dtext file -lev  levmin (levmid_1 levmid_2 ... ) levmax"
    say "               -int  levint"
    say "               -col  [col_1 col_2 ... col_N] or [rainbow] or [b_r] etc."
    say "               -cpt  cptfile"
    say "               -bar  sf vert xmid ymid rxsz rysz barw flwd stwd"
    say "               -ebar on/off"
    say "               -area lonlo lonhi latlo lathi"
    say "               -time trow"
    say "               -line lcolor lstyle lthick"
    say "               -text txtcol txtmove txtsiz"
    say "               -mark type size"
    say "               -xyz  xyzcol.1 xyzcol.2 xyzcol.3"
    say "               -log  logxy loggrd logann logxlab logylab"
    say "               -barb barbsize barbinpt"
    say "               -skip interval"
    say "               -map  on/off"
    say "               -back backcol"
    say "               -land landcol landres"
    say "               -cycl on/off"
    say "               -stat sxsz sysz sdig chmx form"
    say ""
    say "      file: 使用するテキストファイル(x y z タブor空白区切りの並び)"
    say "      -lev  (省略時はforeground colorで描画)"
    say "       levmin: 最小値。これ以下の値は一定の色"
    say "       levmid: 色調の中央値。複数指定、及び省略可"
    say "       levmax: 最大値。これ以上の値は一定の色"
    say "      -int  (省略時は自動)"
    say "       levint: カラーバーの数字の間隔"
    say "      -col  (省略時はレインボーカラー)"
    say "       col_i:  色番号の指定(0〜15のみ)。Nは2以上"
    say "               ただし、色番号0:background、1:foregroundではなく、"
    say "                             0:黒、        1:白 となっていることに注意"
    say "       rainbow  : レインボーカラー（赤→橙→黄→緑→青→藍→紫）"
    say "       rainbow_r: レインボーカラーの逆"
    say "       b_r      : 青〜白〜赤"
    say "       r_b      : 赤〜白〜青"
    say "       w_b      : 白〜黒"
    say "       b_w      : 黒〜白"
    say "      -cpt  (省略時は-col rainbow)"
    say "       cptfile: GMTのmakecptコマンドによって作成されたカラーパレットファイル"
    say "                -colと同時には指定できない"
    say "      -bar  (省略時は自動)"
    say "       sf:     カラーバーの大きさ。標準は1。0.5で半分の大きさ等。0のときはバーを省略"
    say "       vert:   0のとき水平、1のとき垂直にバーを表示する"
    say "       xmid:   バーのx方向の中心座標。-99で自動設定"
    say "       ymid:   バーのy方向の中心座表。-99で自動設定"
    say "       rxsz:   バーの目盛りの文字の幅"
    say "       rysz:   バーの目盛りの文字の高さ"
    say "       barw:   バーの幅"
    say "       flwd:   バーの枠線の太さ"
    say "       stwd:   バーの目盛りの文字の太さ"
    say "      -ebar (省略時は等間隔の数字でカラーバーを描く。"
    say "             -cpt指定時または-levで3レベル以上指定時に有効)"
    say "       off/on: off指定時はカラーパレットで与えられたレベル"
    say "               もしくは-levで指定したレベルでカラーバーを分割"
    say "      -area (省略時は緯度-90〜90、経度0〜360で描画)"
    say "       lonlo:  描画エリアの西端、lonlo=-180,lonhi=180などとすることも可能"
    say "       lonhi:  描画エリアの東端"
    say "       latlo:  描画エリアの南端"
    say "       lathi:  描画エリアの北端"
    say "      -time (省略時は通常の地図表示)"
    say "       trow: 時刻とするデータの列(1or2)。時系列の図を描く"
    say "      -line (省略時は点のみの出力)"
    say "       lcolor: 直線の色。標準は0（foreground）"
    say "       lstyle: 直線のスタイル。標準は1（直線）"
    say "       lthick: 直線の太さ。標準は5"
    say "      -text (省略時はテキストを出力しない)"
    say "       txtcol: 出力テキストの色。標準は0:foreground"
    say "       txtmove: テキストの位置を移動させる。標準は0。-line設定時には0.2程度がよい"
    say "       txtsiz: 出力テキストの幅。標準は1 (画面上では0.13×0.14)"
    say "      -mark (省略時はtype=3(円形塗りつぶし)、size=0.05)"
    say "       type:   マークの形(0〜11の整数で指定)"
    say "       size:   マークの大きさ"
    say "      -xyz (省略時は1,2,3カラム目の値を使用)"
    say "       xyzcol.1: x軸の値として使用するカラムの位置"
    say "       xyzcol.2: y軸の値として使用するカラムの位置"
    say "       xyzcol.3: zの値として使用するカラムの位置"
    say "      -log (対数座標の指定)"
    say "       logxy: 対数スケールを用いる座標軸。x, y, xyのいずれかを指定"
    say "       loggrd: グリッドの表示。1,2,3,4 がそれぞれ 1-2-3-...-9, 1-2-5, 1, なし に対応。"
    say "               デフォルトは1"
    say "       logann: 軸目盛り数字の表示。1,2,3の対応は同上。デフォルトは3"
    say "       logxlab: x軸目盛りの表示位置。bで下（デフォルト）、tで上に表示"
    say "       logylab: y軸目盛りの表示位置。lで左（デフォルト）、rで右に表示"
    say "      -barb (省略時は矢羽根を書かない。指定時には入力テキストは4列必要)"
    say "       barbsize: 矢羽根の大きさ。標準は1"
    say "       barbinpt: 3-4列目入力のフォーマット"
    say "       uv   : 東向きの風or西風(m/s)    北向きの風or南風(m/s)"
    say "       uvkt : 東向きの風or西風(knots)  北向きの風or南風(knots)"
    say "       v_ang   : 風速(m/s)             風向(度)(北が0、時計回り) "
    say "       vkt_ang : 風速(knots)           風向(度)(北が0、時計回り) "
    say "      -skip (省略時は間引き無し)"
    say "       skpint: 間引きの間隔（1のとき間引き無し、2のとき1/2間引き）"
    say "      -map  (省略時は海岸線を描画)"
    say "       off/on: off指定時は海岸線を描画しない"
    say "      -back (省略時は描画エリアの背景を塗らない)"
    say "       backcol: 背景色の番号"
    say "      -land (省略時は陸域の塗りつぶしをしない)"
    say "       landcol: 陸域の色番号"
    say "       landres: 陸域の解像度。l,m,hの順に細かくなる。hは北米のみ。"
    say "      -cycl (省略時は経度方向の周期性を仮定)"
    say "       off/on: off指定時は周期性を仮定せず、エリア内のみを描画"
    say "      -stat (省略時は統計量を描画しない。ただし標準出力へは常にはき出す)"
    say "       sxsz: テキストの幅。標準は1。描画エリアの大きさにより自動設定される"
    say "       sysz: テキストの高さ。標準は1"
    say "       sdig: 表示する有効数字 (省略時は5)。後述のformを使用する場合は0に設定"
    say "       chmx: 最大最小値の書式変換の有無 (1指定時は書式を変換)"
    say "       form: C言語形式の書式。例えば %5.2f など"
    say ""
    say "  バグ:"
    say "     ・'No Files Open'と表示されることがありますが、動作に問題はありません。"
    say "     ・「すでに別のctlファイルが開かれていて」かつ「何も描画されていない」場合、"
    say "     描画が行われません。"
    say "     ・改行コードが「CR+LF」の場合、読み込みに失敗する場合があります。"
    say "     「LF」に設定してください。"
    say "     ・矢羽根の描画は等緯度経度またはランベルト座標でのみ有効です。"
    say ""
    say "                                          2015 06/08   T.Egawa"
  endif
return
