*
*  vlvgB
*                                          2009 04/14   T.Egawa
*

function pstat (args)
  val=subwrd(args,1)
  xsize=subwrd(args,2)
  ysize=subwrd(args,3)
  dig=subwrd(args,4)
  latwgt=subwrd(args,5)
  form=""
  if ( val="" )
    say "Usage: pstat value [xsize [ysize [dig | format [latwgt]]]]"
    say " xsize:  letter width, 1 is default"
    say " ysize:  letter height, 1 is default"
    say " dig:    significant digit, 4 is default"
    say " format: C-language style format statement, e.g. %5.2f"
    say " latwgt: weighting of cos(lat), 0(none) is default"
    return
  endif
  if(       valnum(xsize)=0 ); xsize=-99; ysize=-99; dig=4; latwgt=0
  else; if( valnum(ysize)=0 );            ysize=-99; dig=4; latwgt=0
  else; if( dig=""          );                       dig=4; latwgt=0
  else; if( latwgt!=1       );                              latwgt=0
  endif; endif; endif; endif
  if( xsize<=0 ); xsize=1; endif
  if( ysize<=0 ); ysize=1; endif
  if( valnum(dig)=0 )
    form=dig
  else;if( dig<=0 | valnum(dig)=2 )
    say 'Error! dig is not a natural number'
    dig=4
  endif; endif
  'query gxinfo'
  rec = sublin(result,1)
  gxout = subwrd(rec,4)

  'set gxout stat'
  'd 'val
  stat = result
  i=1
  rec = sublin(stat,i)
  dtype=subwrd(rec,4)
  if(dtype="station")
    stn=1
  else
    stn=0
  endif
  while(rec!="")
    if(subwrd(rec,5)="Valid" & subwrd(rec,6)="count")
      stat.0 = subwrd(rec,8)
    endif
    if(subwrd(rec,1)="Min,")
      stat.1 = subwrd(rec,4)
      stat.2 = subwrd(rec,5)
    endif
* Version 1.8 ȑOɂ̓oO
    if(subwrd(rec,1)="Stats[(sum,sumsqr,root(sumsqr))/n]:" | subwrd(rec,1)="Stats[(sum,sumsqr,root(sumsqr))/n)]:")
      stat.3 = subwrd(rec,2)
      stat.4 = subwrd(rec,4)
    endif
    if(subwrd(rec,1)="Stats[(sigma,var)(n-1)]:")
      stat.5 = subwrd(rec,2)
    endif
    i=i+1
    rec = sublin(stat,i)
  endwhile

  if( latwgt )
    'd maskout(cos(lat/180*3.1415926),('val')*('val')+1)'
    stat = result
    i=1
    rec = sublin(stat,i)
    dtype=subwrd(rec,4)
    while(rec!="")
      if(subwrd(rec,1)="Stats[sum,sumsqr,root(sumsqr),n]:")
        cossum = subwrd(rec,2)
        break
      endif
      i=i+1
      rec = sublin(stat,i)
    endwhile
    'd ('val')*cos(lat/180*3.1415926)'
    stat = result
    i=1
    rec = sublin(stat,i)
    dtype=subwrd(rec,4)
    while(rec!="")
* Version 1.8 ȑOɂ̓oO
      if(subwrd(rec,1)="Stats[(sum,sumsqr,root(sumsqr))/n]:" | subwrd(rec,1)="Stats[(sum,sumsqr,root(sumsqr))/n)]:")
        stat.3 = subwrd(rec,2)*stat.0/cossum
        stat.4 = subwrd(rec,4)*stat.0/cossum
      endif
      if(subwrd(rec,1)="Stats[(sigma,var)(n-1)]:")
        stat.5 = subwrd(rec,2)*(stat.0-1)/(cossum-1)
      endif
      i=i+1
      rec = sublin(stat,i)
    endwhile
  endif

  'query gxinfo'
  rec = sublin(result,3); xlo = subwrd(rec,4); xhi = subwrd(rec,6)
  rec = sublin(result,4); ylo = subwrd(rec,4); yhi = subwrd(rec,6)
  snam.0="Num"; snam.1="Min"; snam.2="Max"; snam.3="Ave"; snam.4="RMS"; snam.5="STD"
  i=1-stn
  while(i<=5)
    if(valnum(stat.i)=0)
      i=i+1
      continue
    endif
    if( form="" )
      deg=math_abs(stat.i)
      if(deg>0)
        deg=math_log10(deg)
        deg=dig-math_int(deg)-1
      else
        deg=0
      endif
      stat.i=stat.i*math_pow(10,deg)
      stat.i=math_nint(stat.i)
      stat.i=stat.i/math_pow(10,deg)
    else
      stat.i=math_format(form,stat.i)
    endif

    stsizx=0.018*(xhi-xlo)*(1-0.2*stn)*xsize
    stsizy=0.020*(xhi-xlo)*(1-0.2*stn)*ysize
    'set string 1 bl'
    'set strsiz 'stsizx' 'stsizy
    xpos=(xhi-xlo)/(5+stn)*(i-0.9+stn)+xlo
    ypos=(yhi-ylo)/50+yhi
    'draw string 'xpos' 'ypos' 'snam.i':'stat.i
    say snam.i':'stat.i
    i=i+1
  endwhile
  if(gxout="Contour" | gxout="Shaded" | gxout="Vector" | gxout="Grid" | gxout="Fgrid" | gxout="Line" | gxout="Bar" | gxout="Barb"  | gxout="Value" | gxout="GrFill" | gxout="LineFill")
    'set gxout 'gxout
  else;if(gxout="Wxsym")
    'set gxout stnmark'
  else
    'set gxout contour'
  endif;endif

return